View Issue Details

IDProjectCategoryView StatusLast Update
0005662DarkRadiantGeneralpublic26.07.2021 13:50
Reportergreebo Assigned To 
PrioritynormalSeveritynormalReproducibilityhave not tried
Status confirmedResolutionopen 
Product Version2.13.0 
Summary0005662: Version Control Integration
DescriptionThis is a research issue to look into way of integrating VCS funcionality into DarkRadiant.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

DarkRadiant: vcs 318f5e20

2021-07-04 11:16:17

greebo

Details Diff
0005662: Add empty plugin project Affected Issues
0005662
add - plugins/vcs/plugin.cpp Diff File
mod - tools/msvc/DarkRadiant.sln Diff File
add - tools/msvc/vcs.vcxproj Diff File
add - tools/msvc/vcs.vcxproj.filters Diff File

DarkRadiant: vcs 61ae4a9a

2021-07-04 11:41:59

greebo

Details Diff
0005662: Add property sheet and empty module class Affected Issues
0005662
add - plugins/vcs/GitModule.cpp Diff File
add - plugins/vcs/GitModule.h Diff File
mod - plugins/vcs/plugin.cpp Diff File
add - tools/msvc/properties/libgit2.props Diff File
mod - tools/msvc/vcs.vcxproj Diff File
mod - tools/msvc/vcs.vcxproj.filters Diff File

DarkRadiant: vcs b0caa9ba

2021-07-04 13:56:12

greebo

Details Diff
0005662: Set up linker options and install scripts Affected Issues
0005662
mod - plugins/vcs/GitModule.cpp Diff File
mod - tools/msvc/post_build_event.cmd Diff File
mod - tools/msvc/post_build_event_x64.cmd Diff File
mod - tools/msvc/properties/libgit2.props Diff File
mod - tools/msvc/vcs.vcxproj Diff File

DarkRadiant: vcs 60c47126

2021-07-04 14:52:10

greebo

Details Diff
0005662: Try to open a repository at the mod path to see if there's a VCS repo set up Affected Issues
0005662
mod - plugins/vcs/GitModule.cpp Diff File
add - plugins/vcs/Repository.h Diff File
rm - plugins/vcs/plugin.cpp Diff File
mod - tools/msvc/vcs.vcxproj Diff File
mod - tools/msvc/vcs.vcxproj.filters Diff File

DarkRadiant: vcs 22375f37

2021-07-04 17:00:29

greebo

Details Diff
0005662: Experimental GitFetch command added. Credential storage and retrieval needs to be more sophisticated than that. Affected Issues
0005662
mod - libs/string/encoding.h Diff File
add - plugins/vcs/CredentialManager.h Diff File
mod - plugins/vcs/GitModule.cpp Diff File
mod - plugins/vcs/GitModule.h Diff File
add - plugins/vcs/Remote.h Diff File
add - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
mod - tools/msvc/vcs.vcxproj Diff File
mod - tools/msvc/vcs.vcxproj.filters Diff File

DarkRadiant: vcs 48cf0d86

2021-07-04 17:41:48

greebo

Details Diff
0005662: Getting the current branch name Affected Issues
0005662
mod - plugins/vcs/GitModule.cpp Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File

DarkRadiant: vcs 5f1704a5

2021-07-04 18:52:43

greebo

Details Diff
0005662: Fetching the remote of the current branch is working now Affected Issues
0005662
mod - plugins/vcs/GitModule.cpp Diff File
add - plugins/vcs/Reference.h Diff File
mod - plugins/vcs/Remote.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
mod - tools/msvc/vcs.vcxproj Diff File
mod - tools/msvc/vcs.vcxproj.filters Diff File

DarkRadiant: vcs 5fdbac64

2021-07-04 19:15:39

greebo

Details Diff
0005662: Add status bar widget (empty) Affected Issues
0005662
mod - plugins/vcs/GitModule.cpp Diff File
add - plugins/vcs/ui/VcsStatus.h Diff File
mod - tools/msvc/vcs.vcxproj Diff File
mod - tools/msvc/vcs.vcxproj.filters Diff File

DarkRadiant: vcs 5c746b56

2021-07-05 04:39:02

greebo

Details Diff
0005662: Perform a fetch every other minute, PoC code Affected Issues
0005662
mod - plugins/vcs/GitModule.cpp Diff File
mod - plugins/vcs/GitModule.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File

DarkRadiant: vcs ef045b7e

2021-07-05 04:46:23

greebo

Details Diff
0005662: Extract UserInterfaceModule to allow plugins to dispatch code to the UI thread Affected Issues
0005662
add - include/iuserinterface.h Diff File
mod - plugins/vcs/GitModule.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File
mod - radiant/ui/UserInterfaceModule.cpp Diff File
mod - radiant/ui/UserInterfaceModule.h Diff File
mod - tools/msvc/include.vcxproj Diff File

DarkRadiant: vcs d28f089f

2021-07-05 19:08:09

greebo

Details Diff
0005662: Add check whether the current branch is up to date with the tracked remote branch Affected Issues
0005662
rm - include/iuimanager.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File

DarkRadiant: vcs 92bc9642

2021-07-06 17:14:15

greebo

Details Diff
0005662: Derive the resource/account identifier used to access the Windows CredentialManager. Affected Issues
0005662
mod - plugins/vcs/CredentialManager.h Diff File
mod - plugins/vcs/Remote.h Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File
mod - tools/msvc/post_build_event.cmd Diff File
mod - tools/msvc/post_build_event_x64.cmd Diff File

DarkRadiant: vcs 1bc2367f

2021-07-09 18:53:09

greebo

Details Diff
0005662: Add preferences page Affected Issues
0005662
mod - install/user.xml Diff File
mod - plugins/vcs/GitModule.cpp Diff File
mod - plugins/vcs/GitModule.h Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File

DarkRadiant: vcs 7980f296

2021-07-09 19:19:44

greebo

Details Diff
0005662: Move VcsStatus implementation Affected Issues
0005662
mod - plugins/vcs/GitModule.cpp Diff File
add - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File
mod - tools/msvc/vcs.vcxproj Diff File
mod - tools/msvc/vcs.vcxproj.filters Diff File

DarkRadiant: vcs c3981246

2021-07-10 05:29:58

greebo

Details Diff
0005662: Prepare checking the map file for uncommitted changes Affected Issues
0005662
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File

DarkRadiant: vcs 2b9d7054

2021-07-10 06:02:49

greebo

Details Diff
0005662: Working copy file modifications are detected Affected Issues
0005662
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File

DarkRadiant: vcs 4035114b

2021-07-10 08:07:04

greebo

Details Diff
0005662: Check divergence of local vs tracked remote Affected Issues
0005662
mod - plugins/vcs/Reference.h Diff File
mod - plugins/vcs/Remote.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File

DarkRadiant: vcs 84d88d47

2021-07-10 11:47:50

greebo

Details Diff
0005662: Need to add additional flags to get the status of untracked files
(might be related to libgit2 issue 4315)
Affected Issues
0005662
mod - plugins/vcs/Reference.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File

DarkRadiant: vcs 6d2e9001

2021-07-11 11:04:22

greebo

Details Diff
0005662: Working on pre-merge analysis Affected Issues
0005662
add - plugins/vcs/Commit.h Diff File
add - plugins/vcs/Diff.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
add - plugins/vcs/Tree.h Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - tools/msvc/vcs.vcxproj Diff File
mod - tools/msvc/vcs.vcxproj.filters Diff File

DarkRadiant: vcs 1ec28b9a

2021-07-11 11:28:52

greebo

Details Diff
0005662: The incoming remote commits are inspected to see in advance whether they can conflict with the active map Affected Issues
0005662
mod - plugins/vcs/Diff.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File

DarkRadiant: vcs 5f2aeb43

2021-07-11 11:55:58

greebo

Details Diff
0005662: Error handling Affected Issues
0005662
mod - plugins/vcs/Commit.h Diff File
add - plugins/vcs/GitException.h Diff File
mod - plugins/vcs/Reference.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - tools/msvc/vcs.vcxproj Diff File
mod - tools/msvc/vcs.vcxproj.filters Diff File

DarkRadiant: vcs dab0dec3

2021-07-11 17:47:39

greebo

Details Diff
0005662: Refactoring Affected Issues
0005662
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File

DarkRadiant: vcs 6cbd6cb2

2021-07-11 19:01:09

greebo

Details Diff
0005662: Detect whether remote changes need to be resolved against the local ones Affected Issues
0005662
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File

DarkRadiant: vcs de4ed505

2021-07-11 19:38:03

greebo

Details Diff
0005662: Move status bar definition to XRC file Affected Issues
0005662
add - install/ui/vcsstatusbar.fbp Diff File
add - install/ui/vcsstatusbar.xrc Diff File
mod - plugins/vcs/GitModule.cpp Diff File
mod - plugins/vcs/GitModule.h Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File

DarkRadiant: vcs 244b1eba

2021-07-15 17:28:04

greebo

Details Diff
0005662: Add some icons, and show commit count to be synced Affected Issues
0005662
add - install/bitmaps/incoming_commits.png Diff File
add - install/bitmaps/outgoing_commits.png Diff File
mod - install/ui/vcsstatusbar.fbp Diff File
mod - install/ui/vcsstatusbar.xrc Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File

DarkRadiant: vcs 28c77f8d

2021-07-15 17:43:58

greebo

Details Diff
0005662: Add fly-out menu Affected Issues
0005662
mod - install/ui/vcsstatusbar.fbp Diff File
mod - install/ui/vcsstatusbar.xrc Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File

DarkRadiant: vcs abdb29e8

2021-07-16 04:34:57

greebo

Details Diff
0005662: Refactoring to move algorithm out of UI classes Affected Issues
0005662
add - plugins/vcs/Algorithm.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File
mod - tools/msvc/vcs.vcxproj Diff File
mod - tools/msvc/vcs.vcxproj.filters Diff File

DarkRadiant: vcs 4121212a

2021-07-16 11:16:41

greebo

Details Diff
0005662: More pre-merge analysis Affected Issues
0005662
mod - plugins/vcs/Algorithm.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File

DarkRadiant: vcs f51e893a

2021-07-16 17:31:06

greebo

Details Diff
0005662: Add push algorithm Affected Issues
0005662
mod - plugins/vcs/Algorithm.h Diff File
mod - plugins/vcs/GitModule.cpp Diff File
mod - plugins/vcs/Remote.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File

DarkRadiant: vcs 496cbe95

2021-07-17 09:03:58

greebo

Details Diff
0005662: Implement fast-forward to upstream. Affected Issues
0005662
mod - plugins/vcs/Algorithm.h Diff File
mod - plugins/vcs/Reference.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File

DarkRadiant: vcs b346c5af

2021-07-17 14:49:34

greebo

Details Diff
0005662: Add Index wrapper class Affected Issues
0005662
mod - plugins/vcs/Algorithm.h Diff File
mod - plugins/vcs/Commit.h Diff File
add - plugins/vcs/Index.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
mod - tools/msvc/vcs.vcxproj Diff File
mod - tools/msvc/vcs.vcxproj.filters Diff File

DarkRadiant: vcs 877b1a88

2021-07-17 15:17:08

greebo

Details Diff
0005662: Add global version control interfaces Affected Issues
0005662
mod - include/imodule.h Diff File
add - include/iversioncontrol.h Diff File
mod - radiantcore/CMakeLists.txt Diff File
add - radiantcore/versioncontrol/VersionControlManager.cpp Diff File
add - radiantcore/versioncontrol/VersionControlManager.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File
mod - tools/msvc/include.vcxproj Diff File

DarkRadiant: vcs ae463f25

2021-07-17 16:07:30

greebo

Details Diff
0005662: Register the git module at startup Affected Issues
0005662
mod - plugins/vcs/GitModule.cpp Diff File
mod - plugins/vcs/GitModule.h Diff File

DarkRadiant: vcs 8ae868e4

2021-07-17 16:27:43

greebo

Details Diff
0005662: Start merge operation in case the map needs to be resolved Affected Issues
0005662
mod - plugins/vcs/Algorithm.h Diff File
mod - plugins/vcs/Commit.h Diff File
mod - plugins/vcs/Reference.h Diff File

DarkRadiant: vcs 2b2f5a13

2021-07-17 16:44:12

greebo

Details Diff
0005662: Scaffolding code to be able to load maps from VCS Affected Issues
0005662
add - libs/VersionControlLib.h Diff File
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/map/MapResourceManager.cpp Diff File
add - radiantcore/map/VcsMapResource.cpp Diff File
add - radiantcore/map/VcsMapResource.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: vcs e21e2f11

2021-07-17 16:57:58

greebo

Details Diff
0005662: More infrastructure code to request files from VCS Affected Issues
0005662
mod - libs/VersionControlLib.h Diff File
mod - radiantcore/map/VcsMapResource.cpp Diff File
mod - radiantcore/map/VcsMapResource.h Diff File

DarkRadiant: vcs f7b9da19

2021-07-17 18:29:00

greebo

Details Diff
0005662: First implementation of loading maps from VCS Affected Issues
0005662
mod - include/iversioncontrol.h Diff File
add - libs/VcsMapResourceStream.h Diff File
mod - libs/VersionControlLib.h Diff File
mod - libs/stream/BufferInputStream.h Diff File
add - libs/stream/VcsMapResourceStream.h Diff File
mod - plugins/vcs/Algorithm.h Diff File
add - plugins/vcs/GitArchiveTextFile.h Diff File
mod - plugins/vcs/GitModule.cpp Diff File
mod - plugins/vcs/GitModule.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
mod - plugins/vcs/Tree.h Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/VcsMapResource.cpp Diff File
mod - radiantcore/map/VcsMapResource.h Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File
mod - tools/msvc/vcs.vcxproj Diff File
mod - tools/msvc/vcs.vcxproj.filters Diff File

DarkRadiant: vcs a00a3476

2021-07-17 18:55:37

greebo

Details Diff
0005662: Implementation fixup, VCS loading now working Affected Issues
0005662
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Tree.h Diff File

DarkRadiant: vcs 190209d7

2021-07-18 03:16:57

greebo

Details Diff
0005662: EntityInspector needs to release any strong references to merge actions to not crash after aboorting the merge Affected Issues
0005662
mod - radiant/ui/einspector/EntityInspector.cpp Diff File
mod - radiant/ui/einspector/EntityInspector.h Diff File

DarkRadiant: vcs 5dacca81

2021-07-18 03:29:47

greebo

Details Diff
0005662: Show the merge dialog once the map switches to merge mode Affected Issues
0005662
mod - radiant/ui/UserInterfaceModule.cpp Diff File
mod - radiant/ui/UserInterfaceModule.h Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.h Diff File

DarkRadiant: vcs a7664797

2021-07-18 04:21:16

greebo

Details Diff
0005662: Display the VCS revision in the merge dialog Affected Issues
0005662
mod - include/imapmerge.h Diff File
mod - libs/scene/merge/MergeOperation.cpp Diff File
mod - libs/scene/merge/MergeOperation.h Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.cpp Diff File
mod - libs/scene/merge/ThreeWayMergeOperation.h Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiantcore/map/VcsMapResource.cpp Diff File
mod - radiantcore/map/VcsMapResource.h Diff File

DarkRadiant: vcs 5ac648b4

2021-07-18 04:43:34

greebo

Details Diff
0005662: Detect whether a merge is already in progress Affected Issues
0005662
mod - plugins/vcs/Algorithm.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File

DarkRadiant: vcs 201fdbf1

2021-07-18 07:43:42

greebo

Details Diff
0005662: More regular status updates Affected Issues
0005662
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File

DarkRadiant: vcs 64bedf46

2021-07-18 12:20:17

greebo

Details Diff
0005662: Add non-functional commit dialog Affected Issues
0005662
add - install/ui/vcscommitdialog.fbp Diff File
add - install/ui/vcscommitdialog.xrc Diff File
add - plugins/vcs/CommitMetadata.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
add - plugins/vcs/ui/CommitDialog.h Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.h Diff File
mod - tools/msvc/vcs.vcxproj Diff File
mod - tools/msvc/vcs.vcxproj.filters Diff File

DarkRadiant: vcs 7dfe9e22

2021-07-18 12:28:44

greebo

Details Diff
0005662: Fill in the user name and email from git's config store Affected Issues
0005662
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File

DarkRadiant: vcs 4b9275ef

2021-07-18 14:56:00

greebo

Details Diff
0005662: Committing is working now Affected Issues
0005662
mod - plugins/vcs/Commit.h Diff File
add - plugins/vcs/Index.cpp Diff File
mod - plugins/vcs/Index.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Tree.h Diff File
mod - plugins/vcs/ui/CommitDialog.h Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - tools/msvc/vcs.vcxproj Diff File
mod - tools/msvc/vcs.vcxproj.filters Diff File

DarkRadiant: vcs a6222a2c

2021-07-18 18:51:26

greebo

Details Diff
0005662: Use Index::updateAll before committing, which should correspond to git add -u Affected Issues
0005662
mod - plugins/vcs/Algorithm.h Diff File
mod - plugins/vcs/Index.cpp Diff File
mod - plugins/vcs/Index.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File

DarkRadiant: vcs e635e6d6

2021-07-18 19:15:40

greebo

Details Diff
0005662: Fix crash during shutdown due to queued DispatchEvents that cannot be freed if their std::function targets reside in memory of unloaded modules Affected Issues
0005662
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - radiant/RadiantApp.cpp Diff File

DarkRadiant: vcs d291a24b

2021-07-21 14:14:00

greebo

Details Diff
0005662: Introduce new map events to know when the user is done merging Affected Issues
0005662
mod - include/imap.h Diff File
mod - radiantcore/map/Map.cpp Diff File

DarkRadiant: vcs 81c28355

2021-07-21 16:54:21

greebo

Details Diff
0005662: Work on completing the merge operation and creating the merge commit. This is not quite working yet. Affected Issues
0005662
mod - plugins/vcs/Algorithm.h Diff File
mod - plugins/vcs/Index.cpp Diff File
mod - plugins/vcs/Index.h Diff File
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File

DarkRadiant: vcs aba24b63

2021-07-21 17:24:13

greebo

Details Diff
0005662: Creating merge commits is working now Affected Issues
0005662
mod - libs/gamelib.h Diff File
mod - plugins/vcs/Algorithm.h Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - radiantcore/map/ArchivedMapResource.cpp Diff File
mod - radiantcore/map/MapResource.cpp Diff File
mod - radiantcore/map/MapResource.h Diff File
mod - radiantcore/map/VcsMapResource.cpp Diff File
mod - tools/msvc/vcs.vcxproj Diff File

DarkRadiant: vcs dbe535ee

2021-07-21 18:31:40

greebo

Details Diff
0005662: UI tweaks Affected Issues
0005662
mod - install/ui/vcsstatusbar.fbp Diff File
mod - install/ui/vcsstatusbar.xrc Diff File
mod - plugins/vcs/Algorithm.h Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File

DarkRadiant: vcs eea0c0b0

2021-07-22 17:00:42

greebo

Details Diff
0005662: Implement git reset --hard when aborting a merge. Affected Issues
0005662
mod - plugins/vcs/Repository.cpp Diff File
mod - plugins/vcs/Repository.h Diff File
mod - plugins/vcs/ui/VcsStatus.cpp Diff File

DarkRadiant: vcs b7bcbb85

2021-07-26 05:26:47

greebo

Details Diff
0005662: Adjust vcs build settings to correspond to the changes done to the winbuild repository Affected Issues
0005662
mod - plugins/vcs/ui/VcsStatus.cpp Diff File
mod - tools/msvc/DarkRadiant.sln Diff File
mod - tools/msvc/post_build_event_x64.cmd Diff File
mod - tools/msvc/properties/libgit2.props Diff File

DarkRadiant: vcs d8b55ed5

2021-07-26 05:33:46

greebo

Details Diff
0005662: Fixup linux build Affected Issues
0005662
mod - radiantcore/CMakeLists.txt Diff File

DarkRadiant: vcs 5bf5d9e1

2021-07-26 05:48:36

greebo

Details Diff
0005662: Adjust project dependencies Affected Issues
0005662
mod - tools/msvc/DarkRadiant.sln Diff File

DarkRadiant: vcs b8418572

2021-07-26 12:33:05

greebo

Details Diff
0005662: Adjust wording Affected Issues
0005662
mod - plugins/vcs/ui/VcsStatus.cpp Diff File

DarkRadiant: vcs aa05a800

2021-07-26 13:41:48

greebo

Details Diff
0005662: Set up CMake file for vcs plugin, fix compilation in Ubuntu 20 Affected Issues
0005662
mod - CMakeLists.txt Diff File
add - plugins/vcs/CMakeLists.txt Diff File
mod - plugins/vcs/CredentialManager.h Diff File
mod - plugins/vcs/Remote.h Diff File

DarkRadiant: vcs 59cc830f

2021-07-26 13:47:48

greebo

Details Diff
0005662: Update README.md Affected Issues
0005662
mod - README.md Diff File

Issue History

Date Modified Username Field Change
04.07.2021 11:15 greebo New Issue
04.07.2021 11:15 greebo Status new => confirmed
04.07.2021 17:42 greebo Changeset attached => DarkRadiant vcs 318f5e20
04.07.2021 17:42 greebo Changeset attached => DarkRadiant vcs 61ae4a9a
04.07.2021 17:42 greebo Changeset attached => DarkRadiant vcs b0caa9ba
04.07.2021 17:42 greebo Changeset attached => DarkRadiant vcs 60c47126
04.07.2021 17:42 greebo Changeset attached => DarkRadiant vcs 22375f37
04.07.2021 17:42 greebo Changeset attached => DarkRadiant vcs 48cf0d86
05.07.2021 04:54 greebo Changeset attached => DarkRadiant vcs 5f1704a5
05.07.2021 04:54 greebo Changeset attached => DarkRadiant vcs 5fdbac64
05.07.2021 04:54 greebo Changeset attached => DarkRadiant vcs 5c746b56
05.07.2021 04:54 greebo Changeset attached => DarkRadiant vcs ef045b7e
10.07.2021 08:07 greebo Changeset attached => DarkRadiant vcs d28f089f
10.07.2021 08:07 greebo Changeset attached => DarkRadiant vcs 92bc9642
10.07.2021 08:07 greebo Changeset attached => DarkRadiant vcs 1bc2367f
10.07.2021 08:07 greebo Changeset attached => DarkRadiant vcs 7980f296
10.07.2021 08:07 greebo Changeset attached => DarkRadiant vcs c3981246
10.07.2021 08:07 greebo Changeset attached => DarkRadiant vcs 2b9d7054
10.07.2021 08:07 greebo Changeset attached => DarkRadiant vcs 4035114b
16.07.2021 17:31 greebo Changeset attached => DarkRadiant vcs 84d88d47
16.07.2021 17:31 greebo Changeset attached => DarkRadiant vcs 6d2e9001
16.07.2021 17:31 greebo Changeset attached => DarkRadiant vcs 1ec28b9a
16.07.2021 17:31 greebo Changeset attached => DarkRadiant vcs 5f2aeb43
16.07.2021 17:31 greebo Changeset attached => DarkRadiant vcs dab0dec3
16.07.2021 17:31 greebo Changeset attached => DarkRadiant vcs 6cbd6cb2
16.07.2021 17:31 greebo Changeset attached => DarkRadiant vcs de4ed505
16.07.2021 17:31 greebo Changeset attached => DarkRadiant vcs 244b1eba
16.07.2021 17:31 greebo Changeset attached => DarkRadiant vcs 28c77f8d
16.07.2021 17:31 greebo Changeset attached => DarkRadiant vcs abdb29e8
16.07.2021 17:31 greebo Changeset attached => DarkRadiant vcs 4121212a
16.07.2021 17:31 greebo Changeset attached => DarkRadiant vcs f51e893a
17.07.2021 18:55 greebo Changeset attached => DarkRadiant vcs 496cbe95
17.07.2021 18:55 greebo Changeset attached => DarkRadiant vcs b346c5af
17.07.2021 18:55 greebo Changeset attached => DarkRadiant vcs 877b1a88
17.07.2021 18:55 greebo Changeset attached => DarkRadiant vcs ae463f25
17.07.2021 18:55 greebo Changeset attached => DarkRadiant vcs 8ae868e4
17.07.2021 18:55 greebo Changeset attached => DarkRadiant vcs 2b2f5a13
17.07.2021 18:55 greebo Changeset attached => DarkRadiant vcs e21e2f11
17.07.2021 18:55 greebo Changeset attached => DarkRadiant vcs f7b9da19
17.07.2021 18:55 greebo Changeset attached => DarkRadiant vcs a00a3476
18.07.2021 04:45 greebo Changeset attached => DarkRadiant vcs 190209d7
18.07.2021 04:45 greebo Changeset attached => DarkRadiant vcs 5dacca81
18.07.2021 04:45 greebo Changeset attached => DarkRadiant vcs a7664797
18.07.2021 04:45 greebo Changeset attached => DarkRadiant vcs 5ac648b4
21.07.2021 18:31 greebo Changeset attached => DarkRadiant vcs 201fdbf1
21.07.2021 18:31 greebo Changeset attached => DarkRadiant vcs 64bedf46
21.07.2021 18:31 greebo Changeset attached => DarkRadiant vcs 7dfe9e22
21.07.2021 18:31 greebo Changeset attached => DarkRadiant vcs 4b9275ef
21.07.2021 18:31 greebo Changeset attached => DarkRadiant vcs a6222a2c
21.07.2021 18:31 greebo Changeset attached => DarkRadiant vcs e635e6d6
21.07.2021 18:31 greebo Changeset attached => DarkRadiant vcs d291a24b
21.07.2021 18:31 greebo Changeset attached => DarkRadiant vcs 81c28355
21.07.2021 18:31 greebo Changeset attached => DarkRadiant vcs aba24b63
21.07.2021 18:31 greebo Changeset attached => DarkRadiant vcs dbe535ee
26.07.2021 05:30 greebo Changeset attached => DarkRadiant vcs eea0c0b0
26.07.2021 05:30 greebo Changeset attached => DarkRadiant vcs b7bcbb85
26.07.2021 05:33 greebo Changeset attached => DarkRadiant vcs d8b55ed5
26.07.2021 05:48 greebo Changeset attached => DarkRadiant vcs 5bf5d9e1
26.07.2021 13:48 greebo Changeset attached => DarkRadiant vcs aa05a800
26.07.2021 13:50 greebo Changeset attached => DarkRadiant vcs 59cc830f
26.07.2021 13:50 greebo Changeset attached => DarkRadiant vcs b8418572